#!/bin/bash
#
# (C) 2001 Roberto A. Foglietta <robang@libero.it>
#          Delivered under GPL as beta software,
#          use this software at yuor own risk
#

outf="/tmp/lmsens-$(date | tr \  _ | tr : -).$$"
temp1="temp1"
temp2="temp2"
temp3="temp3"
fan1="fan1"
fan2="fan2"
fan3="fan3"

sensors > $outf
if [ $? == 0 ]
then
 outs="$(cat $outf | grep $temp1 | cut -d : -f2 | cut -d  -f1)"
 outs="$outs, $(cat $outf | grep $temp2 | cut -d : -f2 | cut -d  -f1)"
 outs="$outs, $(cat $outf | grep $temp3 | cut -d : -f2 | cut -d  -f1)"
 outs="$outs, $(cat $outf | grep $fan1 | cut -d : -f2 | cut -d R -f1)"
 outs="$outs, $(cat $outf | grep $fan2 | cut -d : -f2 | cut -d R -f1)"
 outs="$outs, $(cat $outf | grep $fan3 | cut -d : -f2 | cut -d R -f1)"
else
 outs="-1, -1, -1, -1, -1, -1"
fi
echo $outs
if [ "$which apm" == "" ]
then 
 echo "APM not present, suppose on-line"
else
 apm
# Questi fungono da esempio e da test
# echo "AC on-line, no system battery"
# echo "AC on-line, battery status low: 9% (0:18)"
# echo "AC off-line, battery status low: 8% (0:16)"
fi

echo
cat $outf | grep -e "V)" | cut -d \( -f1
rm -f $outf
